Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Apr 2015 09:30:48 -0400

>> Of course we can (and we do for example in C-x b).
> Is that because in that case the collection is not a function?

No.  As a matter of fact, in that case the collection *is* a function
(which removes the current buffer from the available choices).

The reason is because that `completion-metadata' says that the
completion category is `buffer' and because completion-category-defaults
says that for `buffer' completion, we should use the `substring' style
by default.

        Stefan